> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.markup.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.markup.ai/_mcp/server.

# Create Term

POST https://api.markup.ai/brand-terms/term-sets/{term_set_id}/terms
Content-Type: application/json

Create terms that should be matched in the text. The term types are:

* **preferred**: this is the preferred term for the associated term set
* **prohibited**: this term should not be used to talk about the term set

Reference: https://docs.markup.ai/developer-reference/api-reference/brand-terms/create-term

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `term_set_id` (string, required) — UUID of the term set

### Body (application/json)

This endpoint expects a TermCreateRequest.

- `term` (string, required)
- `type` (enum, required)
  - Allowed values: `preferred`, `prohibited`
- `case_sensitive` (boolean, optional, default: false)

## Response

### 201

Successful Response

- `id` (string, required)
- `term` (string, required)
- `type` (enum, required)
  - Allowed values: `preferred`, `prohibited`
- `created_at` (datetime, required)
- `updated_at` (datetime, required)
- `case_sensitive` (boolean, optional, default: false)
- `created_by` (string, optional, nullable)
- `updated_by` (string, optional, nullable)

## Errors

### 401 Unauthorized Error

Authentication failed or no valid API key provided.

- `detail` (string, required) — A description of the error that occurred.
- `status` (integer, required) — The HTTP status code generated by the server for this issue
- `request_id` (string, required) — A unique ID associated with the HTTP request.

### 403 Forbidden Error

Forbidden

- `detail` (string, required) — A description of the error that occurred.
- `status` (integer, required) — The HTTP status code generated by the server for this issue
- `request_id` (string, required) — A unique ID associated with the HTTP request.

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 500 Internal Server Error

Internal Server Error

- `detail` (string, required) — A description of the error that occurred.
- `status` (integer, required) — The HTTP status code generated by the server for this issue
- `request_id` (string, required) — A unique ID associated with the HTTP request.

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

- string
- integer

## Examples

**Request**

```json
{
  "term": "artificial intelligence",
  "type": "preferred"
}
```

**Response**

```json
{
  "id": "a3f1c2d4-e5b6-47a8-9c0d-1e2f3a4b5c6d",
  "term": "artificial intelligence",
  "type": "preferred",
  "created_at": "2024-03-15T10:45:00Z",
  "updated_at": "2024-03-15T10:45:00Z",
  "case_sensitive": false,
  "created_by": "user_7f8e9d2c1b4a",
  "updated_by": "user_7f8e9d2c1b4a"
}
```

**SDK Code**

```python
import requests

url = "https://api.markup.ai/brand-terms/term-sets/term_set_id/terms"

payload = {
    "term": "artificial intelligence",
    "type": "preferred"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.markup.ai/brand-terms/term-sets/term_set_id/terms';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"term":"artificial intelligence","type":"preferred"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.markup.ai/brand-terms/term-sets/term_set_id/terms"

	payload := strings.NewReader("{\n  \"term\": \"artificial intelligence\",\n  \"type\": \"preferred\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.markup.ai/brand-terms/term-sets/term_set_id/terms")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"term\": \"artificial intelligence\",\n  \"type\": \"preferred\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.markup.ai/brand-terms/term-sets/term_set_id/terms")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"term\": \"artificial intelligence\",\n  \"type\": \"preferred\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.markup.ai/brand-terms/term-sets/term_set_id/terms', [
  'body' => '{
  "term": "artificial intelligence",
  "type": "preferred"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.markup.ai/brand-terms/term-sets/term_set_id/terms");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"term\": \"artificial intelligence\",\n  \"type\": \"preferred\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "term": "artificial intelligence",
  "type": "preferred"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.markup.ai/brand-terms/term-sets/term_set_id/terms")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```